# $Revision: 1.101 $, $Date: 2012/01/31 11:52:19 $
Summary:	Tool suite for mobile phones
Summary(pl.UTF-8):	Zestaw narzędzi do telefonów komórkowych
Name:		gammu
Version:	1.31.0
Release:	3
Epoch:		1
License:	GPL v2+
Group:		Applications/Communications
Source0:	http://dl.cihar.com/gammu/releases/%{name}-%{version}.tar.xz
# Source0-md5:	6983485c0ad0873f028da6c6e2039fa7
Source1:	%{name}-smsd.init
Source2:	%{name}-smsd.sysconfig
Source3:	%{name}.tmpfiles
Patch0:		%{name}-etc_dir.patch
Patch1:		%{name}-werror.patch
URL:		http://www.gammu.org/
BuildRequires:	bluez-libs-devel
BuildRequires:	cmake >= 2.4.6
BuildRequires:	curl-devel
BuildRequires:	gettext-devel
BuildRequires:	mysql-devel
BuildRequires:	postgresql-devel
BuildRequires:	python-devel >= 1:2.5
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.600
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz >= 1:4.999.7
Requires:	%{name}-libs = %{epoch}:%{version}-%{release}
Suggests:	%{name}-smsd = %{epoch}:%{version}-%{release}
Provides:	mygnokii2
Obsoletes:	mygnokii2
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Gammu (formerly known as MyGnokii2) is cellular manager for various
mobile phones and modems. It currently supports Nokia 3210, 33xx,
3410, 3510, 51xx, 5210, 5510, 61xx, 62xx, 63xx, 6510, 7110, 82xx,
8310, 9110, and 9210, and AT devices (such as Siemens, Alcatel,
WaveCom, IPAQ, and other). It has a command line version with many
functions for ringtones, phonebook, SMS, logos, WAP, date/time, alarm,
calls, etc. It can also make full backups and restore them.

%description -l pl.UTF-8
Gammu (poprzednio znany jako MyGnokii2) jest narzędziem do zarządzania
różnymi telefonami komórkowymi i modemami. Aktualnie obsługuje Nokie
3210, 33xx, 3410, 51xx, 5210, 5510, 61xx, 62xx, 63xx, 6510, 7110,
82xx, 8310, 9110 i 3210 oraz urządzenia AT (takie jak Siemens,
Alcatel, WaveCom, IPAQ i inne). Ma wersję działającą z linii poleceń z
wieloma funkcjami do dzwonków, książki telefonicznej, SMS-ów, logo,
WAP, daty/czasu, budzika, dzwonienia itp. Może także wykonywać pełne
kopie zapasowe danych i odtwarzać je.

%package smsd
Summary:	Gammu SMS Daemon
Summary(pl.UTF-8):	Demon SMS Gammu
Group:		Applications/Communications
Requires:	%{name} = %{epoch}:%{version}-%{release}

%description smsd
Gammu SMS Daemon is a program that periodically scans GSM modem for
received messages, stores them in defined storage and also sends
messages enqueued in this storage. It is perfect tool for managing big
amounts of received or sent messages and automatically process them.

%description smsd -l pl.UTF-8
Demon SMS Gammu jest programem, który okresowo sprawdza czy modem GSM
odebrał jakieś wiadomości, przechowuje je w zdefiniowanym zasobie a
także wysyła wiadomości skolejkowane w tym zasobie. Jest idealnym
narzędziem do zarządzania dużą ilością otrzymanych lub wysyłanych
wiadomości i automatycznego przetwarzania ich.

%package libs
Summary:	Gammu library
Summary(pl.UTF-8):	Biblioteka Gammu
Group:		Libraries

%description libs
Gammu tool suite library.

%description libs -l pl.UTF-8
Biblioteka zestawu narzędzi dla telefonów komórkowych Gammu.

%package devel
Summary:	Header files for Gammu tool suite for mobile phones
Summary(pl.UTF-8):	Pliki nagłówkowe zestawu narzędzi dla telefonów komórkowych Gammu
Group:		Development/Libraries
Requires:	%{name}-libs = %{epoch}:%{version}-%{release}
Requires:	bluez-libs-devel

%description devel
Header files for Gammu tool suite for mobile phones.

%description devel -l pl.UTF-8
Pliki nagłówkowe zestawu narzędzi dla telefonów komórkowych Gammu.

%package -n python-gammu
Summary:	Python bingings for Gammu library
Summary(pl.UTF-8):	Wiązania języka Python dla biblioteki Gammu
Group:		Development/Languages/Python
Requires:	%{name}-libs = %{epoch}:%{version}-%{release}
%pyrequires_eq	python-modules

%description -n python-gammu
Python bingings for Gammu library.

%description -n python-gammu -l pl.UTF-8
Wiązania języka Python dla biblioteki Gammu.

%package static
Summary:	Gammu static library
Summary(pl.UTF-8):	Biblioteka statyczna Gammu
Group:		Development/Libraries
Requires:	%{name}-devel = %{epoch}:%{version}-%{release}

%description static
Gammu static library.

%description static -l pl.UTF-8
Biblioteka statyczna zestawu narzędzi dla telefonów komórkowych Gammu.

%package -n bash-completion-gammu
Summary:	bash-completion for gammu
Summary(pl.UTF-8):	bashowe uzupełnianie nazw dla gammu
Group:		Applications/Shells
Requires:	%{name} = %{epoch}:%{version}-%{release}
Requires:	bash-completion

%description -n bash-completion-gammu
This package provides bash-completion for gammu.

%description -n bash-completion-gammu -l pl.UTF-8
Pakiet ten dostarcza bashowe uzupełnianie nazw dla gammu.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
mkdir -p build
cd build
%cmake .. \
	-DBUILD_SHARED_LIBS=OFF \
	-DINSTALL_LIB_DIR=%{_lib} \
	-DINSTALL_LIBDATA_DIR=%{_libdir} \
	-DBUILD_PYTHON=%{_bindir}/python%{py_ver}
%{__make}
mv libgammu/libGammu.a ..
mv smsd/libgsmsd.a ..
%cmake .. \
	-DBUILD_SHARED_LIBS=ON \
	-DINSTALL_LIB_DIR=%{_lib} \
	-DINSTALL_LIBDATA_DIR=%{_libdir} \
	-DBUILD_PYTHON=%{_bindir}/python%{py_ver}
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_sysconfdir},%{_examplesdir}/%{name}-%{version}} \
	$RPM_BUILD_ROOT/usr/lib/tmpfiles.d

%{__make} -C build install \
	DESTDIR=$RPM_BUILD_ROOT

install docs/config/gammurc $RPM_BUILD_ROOT%{_sysconfdir}
#cp -r docs/develop $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}
install libGammu.a $RPM_BUILD_ROOT%{_libdir}
install libgsmsd.a $RPM_BUILD_ROOT%{_libdir}
install -d $RPM_BUILD_ROOT%{_sysconfdir}/%{name}-smsd $RPM_BUILD_ROOT/etc/{rc.d/init.d,sysconfig}
install docs/config/smsdrc $RPM_BUILD_ROOT%{_sysconfdir}/%{name}-smsd/ttyS0.conf
install -p %{SOURCE1} $RPM_BUILD_ROOT/etc/rc.d/init.d/%{name}-smsd
cp -a %{SOURCE2} $RPM_BUILD_ROOT/etc/sysconfig/%{name}-smsd
install -d $RPM_BUILD_ROOT/%{_varrun}/%{name}-smsd
install -d $RPM_BUILD_ROOT/%{_sharedstatedir}/%{name}-smsd

install %{SOURCE3} $RPM_BUILD_ROOT/usr/lib/tmpfiles.d/%{name}.conf

%find_lang %{name}
%find_lang libgammu

%{__rm} -r $RPM_BUILD_ROOT%{_docdir}/%{name}

# for rpm autodeps
chmod 755 $RPM_BUILD_ROOT%{_libdir}/lib*.so*

%clean
rm -rf $RPM_BUILD_ROOT

%post   libs -p /sbin/ldconfig
%postun libs -p /sbin/ldconfig

%pre smsd
%groupadd -g 251 gammu-smsd
%useradd -u 251 -d /var/lib/gammu-smsd -s /bin/false -c "Gammu SMSD user" -G dialout -g gammu-smsd gammu-smsd

%post smsd
/sbin/chkconfig --add gammu-smsd
%service gammu-smsd restart "Gammu SMSD"

%preun smsd
if [ "$1" = "0" ]; then
        %service gammu-smsd stop
        /sbin/chkconfig --del gammu-smsd
fi

%postun smsd
if [ "$1" = "0" ]; then
        %groupremove gammu-smsd
        %userremove gammu-smsd
fi

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog README README.Python docs/manual/Gammu.htm
%attr(755,root,root) %{_bindir}/%{name}
%attr(755,root,root) %{_bindir}/%{name}-detect
%attr(755,root,root) %{_bindir}/jadmaker
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/gammurc
%{_examplesdir}/%{name}-%{version}
%{_mandir}/man[157]/*

%files smsd
%defattr(644,root,root,755)
%doc docs/sql/*.sql
%attr(755,root,root) %{_bindir}/gammu-smsd
%attr(755,root,root) %{_bindir}/gammu-smsd-inject
%attr(755,root,root) %{_bindir}/gammu-smsd-monitor
%attr(754,root,root) /etc/rc.d/init.d/%{name}-smsd
%config(noreplace) %verify(not md5 mtime size) /etc/sysconfig/%{name}-smsd
%{_sysconfdir}/%{name}-smsd
/usr/lib/tmpfiles.d/%{name}.conf
%attr(750,root,gammu-smsd) %{_varrun}/%{name}-smsd
%attr(750,gammu-smsd,gammu-smsd) %{_sharedstatedir}/%{name}-smsd

%files libs -f libgammu.lang
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libGammu.so.*.*
%attr(755,root,root) %{_libdir}/libgsmsd.so.*.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libgsmsd.so.?
%attr(755,root,root) %ghost %{_libdir}/libGammu.so.?

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/%{name}-config
%attr(755,root,root) %{_libdir}/libGammu.so
%attr(755,root,root) %{_libdir}/libgsmsd.so
%{_includedir}/*
%dir %{py_sitedir}/gammu/
%attr(755,root,root) %{py_sitedir}/gammu/_gammu.so
%{_pkgconfigdir}/gammu.pc
%{_pkgconfigdir}/gammu-smsd.pc

%files -n python-gammu
%defattr(644,root,root,755)
%dir %{py_sitedir}/gammu
%attr(755,root,root) %{py_sitedir}/gammu/*.so
%{py_sitedir}/gammu/*.py

%files static
%defattr(644,root,root,755)
%{_libdir}/libgsmsd.a
%{_libdir}/libGammu.a

%files -n bash-completion-gammu
%defattr(644,root,root,755)
%{_sysconfdir}/bash_completion.d/gammu

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: gammu.spec,v $
Revision 1.101  2012/01/31 11:52:19  baggins
- release 3

Revision 1.100  2012/01/31 11:36:29  baggins
- typo

Revision 1.99  2012/01/31 11:31:29  baggins
- added tmpfiles config for systemd

Revision 1.98  2012/01/13 21:00:01  arekm
- release 2

Revision 1.97  2011/12/27 11:03:40  lisu
- updated to 1.31.0
- merged with DEVEL

Revision 1.96.2.3  2011/12/20 10:34:34  lisu
- 1.30.92

Revision 1.96.2.2  2011/12/06 08:02:31  lisu
- 1.30.91

Revision 1.96.2.1  2011/11/18 08:21:20  lisu
- updated to 1.30.90

Revision 1.96  2011/07/19 20:27:32  lisu
- updated to 1.30.0
- merged with DEVEL

Revision 1.95  2011/03/31 18:13:31  arekm
- release 2

Revision 1.94.2.3  2011/03/18 09:19:14  lisu
- up to 1.29.92

Revision 1.94.2.2  2011/02/25 13:12:21  lisu
- up to 1.29.91
- new binary: gammu-detect

Revision 1.94.2.1  2011/02/14 09:44:45  lisu
- updated to 1.29.90
- add -werror patch

Revision 1.94  2011/02/07 10:10:46  lisu
- updated to 1.29.0 (merged with DEVEL)
- changes in %%doc
- .xz package

Revision 1.93  2010/11/26 18:36:18  arekm
- release 4

Revision 1.92  2010/11/25 11:33:51  arekm
- release 3

Revision 1.91  2010/11/24 11:23:04  hawk
- release 2

Revision 1.90.2.5  2011/01/10 11:12:05  lisu
- up to 1.28.95
- no cs manpages

Revision 1.90.2.4  2010/12/27 10:50:46  lisu
- 1.28.94

Revision 1.90.2.3  2010/12/03 12:00:45  lisu
- up to 1.28.93
- drop cmake options provided by cmake macro

Revision 1.90.2.2  2010/10/05 09:28:06  lisu
- 1.28.92

Revision 1.90.2.1  2010/09/17 06:51:22  lisu
- up to 1.28.91
- no docs/develop catalog in this release

Revision 1.90  2010/07/13 07:51:32  lisu
- try to fix build with python2.7

Revision 1.89  2010/07/12 21:07:26  lisu
- updated to 1.28.0 (DEVEL merge)
- adapterized

Revision 1.88  2010/07/09 11:15:39  arekm
- release 3

Revision 1.87  2010/05/12 11:04:00  matik
- gammu-smsd subpackage
- rel. 2

Revision 1.86.2.6  2010/07/12 11:05:54  lisu
- 1.27.95

Revision 1.86.2.5  2010/06/07 07:55:18  lisu
- 1.27.94

Revision 1.86.2.4  2010/04/14 13:43:00  lisu
- 1.27.93

Revision 1.86.2.3  2010/02/18 08:34:51  lisu
- up to 1.27.92

Revision 1.86.2.2  2010/02/05 13:01:54  lisu
- up to 1.27.91
- drop SUPPORTERS file form %%docs

Revision 1.86.2.1  2010/01/18 12:06:47  lisu
- updated to 1.27.90

Revision 1.86  2009/12/24 10:03:13  lisu
- updated to 1.27.0
- merge with DEVEL

Revision 1.85.2.2  2009/12/04 09:26:19  lisu
- up to 1.26.92

Revision 1.85.2.1  2009/11/25 08:41:40  lisu
- 1.26.91

Revision 1.85  2009/11/25 08:34:22  lisu
- reverse two last commits (1.26.9x goes to DEVEL)

Revision 1.82  2009/10/11 10:31:55  wiget
- updated to 1.26.1

Revision 1.81  2009/08/28 06:57:37  lisu
- proper version in previous commit log

Revision 1.80  2009/07/09 12:19:18  lisu
- up to 1.25.0
- adapterized

Revision 1.79  2009/07/05 15:17:46  cactus
- bash-completion-gammu R: gammu

Revision 1.78  2009/07/05 12:35:21  cactus
- up to 1.24.92
- fixed examples installation
- new subpackage: bash-completion-gammu

Revision 1.77  2009/05/12 18:35:44  charles
- updated to 1.24.90; cosmetics

Revision 1.76  2009/03/15 23:48:28  hawk
- as of 1.22.91, python-gammu is part of of Gammu tarball (may some
  python guru review this commit and fix/update if necessary?)

Revision 1.75  2009/03/14 21:07:20  duddits
- up to 1.23.1
- some tune-ups in %build (fixing paths mostly)
- etc_dir.patch updated
- %files

Revision 1.74  2008/12/21 19:37:09  gotar
- typo (removed with some needless parts)

Revision 1.73  2008/12/21 13:27:47  gotar
- upgraded to 1.22.1 (and this is not a part of the GNU project),
- restored home_etc, BR: curl-devel

Revision 1.72  2008/09/29 21:05:28  qboosh
- unified cmake -D options

Revision 1.71  2008/08/31 17:01:26  arekm
- release 2

Revision 1.70  2008-05-22 23:58:09  wolvverine
- up to 1.20.0

Revision 1.69  2007-12-22 19:30:15  blekot
- up to 1.17.0

Revision 1.68  2007-12-11 15:21:49  sls
- ver. 1.15.0

Revision 1.67  2007-12-11 13:28:26  sls
- strict BR: cmake >= 2.4.6 (to avoid 'Unknown CMake command "check_c_compiler_flag"')

Revision 1.66  2007-11-17 01:56:14  wolvverine
- lost %ghost file

Revision 1.65  2007-11-15 14:57:08  megabajt
- fix libdir name on x86_64
- release 2

Revision 1.64  2007-11-15 07:03:54  wolvverine
- up to 1.14.0

Revision 1.63  2007/08/30 19:07:14  wolvverine
- rel.2

Revision 1.62  2007/08/20 13:40:23  gotar
- upgraded to 1.13.0

Revision 1.61  2007/08/05 18:48:01  qboosh
- fix .so perms to autogenerate deps (cmake vs rpm war continued)

Revision 1.60  2007/08/05 18:06:30  qboosh
- macros for cmake

Revision 1.59  2007/08/05 17:54:01  qboosh
- fixed build with lib64
- more verbose files
- run ldconfig in proper package
- -devel R: bluez-libs-devel

Revision 1.58  2007/08/02 01:37:13  wolvverine
- partial revert

Revision 1.57  2007/08/02 01:13:07  wolvverine
- clean

Revision 1.56  2007/08/02 00:42:01  wolvverine
- up to 1.12.92

Revision 1.55  2007/08/01 23:37:01  wolvverine
- up to 1.12.0,NFY

Revision 1.54  2007/06/11 16:30:00  qboosh
- unified
- actually run ldconfig
- internal deps fixes

Revision 1.53  2007/06/08 12:07:08  gotar
- one more obsoleted patch

Revision 1.52  2007/06/08 12:01:40  gotar
- upgraded to 1.11.92,
- switched from autoconf to cmake (why there's no R: libbluetooth.so.2 in
  libs subpackage?),
- fixed descriptions

Revision 1.51  2007/05/27 20:08:44  blekot
- up to 1.11.0

Revision 1.50  2007/05/05 21:34:01  gotar
- upgraded to 1.10.5

Revision 1.49  2007/04/30 21:05:09  rotom
- up to 1.10.4

Revision 1.48  2007/04/20 20:37:02  gotar
- removed empty directory as well

Revision 1.47  2007/04/20 20:34:58  gotar
- upgraded to 1.10.3

Revision 1.46  2007/03/03 12:26:54  ankry
- tabs

Revision 1.45  2007/03/02 14:01:38  beorn
- Updated to version 1.10.0 (stable) STBR for AC update general

Revision 1.44  2007/02/13 07:16:44  glen
- tabs in preamble

Revision 1.43  2007/02/12 00:48:51  baggins
- converted to UTF-8

Revision 1.42  2006/08/01 13:43:20  zawadaa
- up to 1.07.00
- STBR

Revision 1.41  2006/04/25 07:36:33  qboosh
- removed obsolete sparc-speeds patch from Patch entries

Revision 1.40  2006/04/24 21:39:12  wiget
- updated to 1.06.00
- release 1

Revision 1.39  2006/03/28 08:33:29  glen
- packaging fixes, rel 5

Revision 1.38  2006/03/28 07:35:47  glen
- disable rpmdir (avoids %_topdir macro parsing loop)

Revision 1.37  2006/03/27 12:41:29  glen
- rel 4 (libmysqlclient_15)

Revision 1.36  2006/02/28 23:53:22  glen
- adapterized (killed trailing spaces/tabs)

Revision 1.35  2005/10/29 15:00:56  qboosh
- release 3

Revision 1.34  2005/10/29 15:00:24  qboosh
- updated sparc-speeds patch, apply it unconditionally
- updated destdir cleaning, unified examplesdir

Revision 1.33  2005/10/27 17:40:40  arekm
- rel 2

Revision 1.32  2005/07/28 09:58:21  baseciq
- up to 1.02.0 (fixed support for SE cards, like my GC89)

Revision 1.31  2005/05/22 14:34:39  troll
- updated to 1.01.0
- new URL

Revision 1.30  2005/02/18 07:11:23  saq
- fix sparc and amd64 build
- release 2

Revision 1.29  2005/02/16 23:26:47  saq
- shared linking with libGammu
- use make for installation
- release 1

Revision 1.28  2005/02/16 23:03:12  saq
- up to 1.00.0

Revision 1.27  2004/11/15 08:32:54  saq
- BR: mysql-devel

Revision 1.26  2004/10/29 22:11:52  wiget
- don't pass --enable to ./configure for default enabled options
- now gammu is full featured

Revision 1.25  2004/10/29 19:08:41  undefine
- small patch to don't link with unnecessary libs, release 0.2
- what else is needed to release 1? seems to run...

Revision 1.24  2004/10/24 22:05:54  ankry
- pl fix

Revision 1.23  2004/10/24 21:10:35  paszczus
- start update to 0.99.0' release 0.1

Revision 1.22  2004/09/08 21:58:24  domelu
- start update to 0.97.7, rel. 0.1

Revision 1.21  2004/02/05 10:04:36  orzech
- up to 0.93.0

Revision 1.20  2004/01/17 16:02:03  hunter
-enable some features

Revision 1.19  2004/01/17 15:23:24  qboosh
- simplified versioning, it's sane now

Revision 1.18  2004/01/17 14:00:18  hunter
-up to 0.92.0

Revision 1.17  2003/10/10 08:11:24  orzech
- up to 0.86

Revision 1.16  2003/10/03 12:11:08  orzech
- up to 0.85

Revision 1.15  2003/08/11 22:46:30  ankry
- cosmetics

Revision 1.14  2003/07/31 07:06:25  orzech
- up to 0.80

Revision 1.13  2003/07/08 12:58:26  tommat
- bluez-libs-devel br added

Revision 1.12  2003/07/08 12:53:26  tommat
- upgraded to version 0.79

Revision 1.11  2003/07/08 08:00:19  qboosh
- use _examplesdir macro

Revision 1.10  2003/05/26 16:25:00  malekith
- massive attack: adding Source-md5

Revision 1.9  2003/05/25 05:47:40  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.8  2003/04/07 12:22:03  juandon
- s/home_etc/etc_dir/
- s/CONFIG_DIR/ETC_DIR/

Revision 1.7  2003/03/29 18:42:43  juandon
- added home_etc.patch
- Release 3

Revision 1.6  2003/02/21 14:24:53  qboosh
- added verify() for configuration file

Revision 1.5  2002/12/20 15:12:09  qboosh
- automake not used

Revision 1.4  2002/12/16 01:18:37  blues
- added config from template, ac regeneration (this is crazy...)

Revision 1.3  2002/12/12 19:42:46  qboosh
- pl description

Revision 1.2  2002/12/12 03:44:54  blues
- 0.64 - now it's called gammu. Updated (previous spec was useless)

Revision 1.1  2002/10/06 20:03:39  hunter
- renamed

Revision 1.4  2002/09/28 20:07:39  ankry
- adapterized

Revision 1.3  2002/09/27 13:51:07  wrobell
- this is 0.58 version, ain't it?
- epoch 1, rel. 2

Revision 1.2  2002/09/26 23:13:44  hunter
-- manpage, examples dir
-- STBR

Revision 1.1  2002/09/26 21:47:35  hunter
--initial pld release
